VIPSTHUMBNAIL(1)

NAME
vipsthumbnail - make thumbnails of image files

SYNOPSIS
vipsthumbnail [flags] imagefile1 imagefile2 ...

DESCRIPTION
vipsthumbnail(1) processes each imagefile in turn, shrinking each image to fit within a 128 by 128 pixel square. The shrunk image is written to a new file named tn_imagefile.jpg. This program is typically faster and uses less memory than other image thumbnail programs. For example:
 $ vipsthumbnail fred.png jim.tif will read image files fred.png and jim.tif and write thumbnails to the files tn_fred.jpg and tn_jim.jpg.
 $ vipsthumbnail --size=64 -o thumbnails/%s.png fred.jpg will read image file fred.jpg and write a 64 x 64 pixel thumbnail to the file thumbnails/fred.png. On Unix machines, vips will create temporary files in "/tmp" by default. Use the environment variable TMPDIR to change this location. On Windows, vips uses GetTempPath() to pick a location, see the MS documentation. Use the --vips-disc-threshold command-line switch, or the IM_DISC_THRESHOLD environment variable, to make vipsthumbnail use memory rather than temporary files.

OPTIONS

-s N, --size=N
    Set the output thumbnail size to N x N pixels. The image is shrunk so that it just fits within this area, Images which are smaller than this are expanded.

-o FORMAT, --output=FORMAT
    Set the output format string. The input filename has any file type suffix removed, then that value is substitued into FORMAT replacing %s. The default value is tn_%s.jpg meaning JPEG output, with tn_ prepended. You can add format options too, for example tn_%s.jpg:20 will write JPEG images with Q set to 20.

-p I, --interpolator=I
    Resample with interpolator I. Use vips --list classes to see a list of valid interpolators. The default is bilinear.

-n, --nosharpen
    By default, vipsthumbnail(1) will sharpen thumbnails slightly to make them look more pleasing. This option disables this sharpening.

-e PROFILE, --eprofile=PROFILE
    Export thumbnails with this ICC profile. Images are only colour-transformed if there is both an output and an input profile available. The input profile can either be embedded in the input image or supplied with the --iprofile option.

-i PROFILE, --iprofile=PROFILE
    Import images with this ICC profile, if no profile is embdedded in the image. Images are only colour-transformed if there is both an output and an input profile available. The output profile should be supplied with the --oprofile option.

-l, --nodelete
    Don't delete the profile from the output image. Since all output images will generally have the same profile, vipsthumbnail(1) will usually delete it. This option leaves the profile inside the image.

-v, --verbose
    vipsthumbnail(1) normally runs silently, except for warning and error messages. This option makes it print a list of the operations it performs on each image.

RETURN VALUE
returns 0 on success and non-zero on error.

SEE ALSO
header(1)